
Redmine - Defect #15684

MailHandler : text/plain attachments are added to description

2013-12-12 00:29 - Pavel Brych

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Email receiving Estimated time: 0.00 hour

Target version: 2.4.2   

Resolution: Fixed Affected version: 2.4.0

Description

When handling email messages with text/plain file attached, it's contents is attached to issue description text (file from email is also

properly attached to newly created issue, as it should be).

I believe that it may be caused by patch #13646, which combines all text/plain message parts to issue description and not distinguish

between text part and file attachment?.

Example of problematic mail (sent from Thunderbird client):

--===============0191659920==

Content-Type: text/plain; charset="utf-8" 

MIME-Version: 1.0

Content-Transfer-Encoding: base64

SGzDocWhZW7DrSBvIGNoeWLEmyB2IHByb2dyYW11IEhPUkVTCj09PT09PT09PT09PT09PT09PT09

PT09PT09PT09PT09CgpEYXR1bTogMTEuMTIuMjAxMy... proper message body text continues

--===============0191659920==

Content-Type: text/plain; charset="utf-8" 

MIME-Version: 1.0

Content-Transfer-Encoding: base64

Content-Disposition: attachment; filename="log_message.txt" 

RGF0ZTogICAgMTEuMTIuMjAxMyAxODoxODowMQpNZXNzYWdlOiBBdHRyaWJ1dGVFcnJvcjogJ2Z1

bmN0aW9uJyBvYmplY3QgaGFzIG5vIGF0dHJpYnV0ZSAnaXNEZWFkJwpUeXBlOiAgICA0C... attachment data continues

 Problems started when upgraded to Redmine 2.4.0

Related issues:

Related to Redmine - Patch #13646: Fix handling multiple text parts in email Closed

Associated revisions

Revision 12420 - 2013-12-18 19:13 - Jean-Philippe Lang

Fixed that text/plain attachments are added to issue description (#15684).

Revision 12433 - 2013-12-21 12:25 - Jean-Philippe Lang

Merged r12420 (#15684).

History

#1 - 2013-12-12 01:22 - Toshi MARUYAMA

- Related to Patch #13646: Fix handling multiple text parts in email added

#2 - 2013-12-12 01:22 - Toshi MARUYAMA

- Target version set to 2.4.2

#3 - 2013-12-18 16:42 - Jean-Philippe Lang

Could you please attach a full example email so we can test this?
https://www.redmine.org/issues/13646


#4 - 2013-12-18 19:13 - Jean-Philippe Lang

- Subject changed from Wrong text/plain attachment handling when creating issue from mail to MailHandler : text/plain attachments are added to

description

- Status changed from New to Resolved

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Fixed in r12420, thanks for pointing this out.

#5 - 2013-12-21 12:25 - Jean-Philippe Lang

- Status changed from Resolved to Closed

Merged.
